LibreOffice LibreOffice 26.2 SDK API Reference

Exported Interfaces | List of all members
XBridgeFactory2 Interface Referencepublished

Provides a unified interface for the BridgeFactory service to implement. More...

`import"XBridgeFactory2.idl";`

Inheritance diagram for XBridgeFactory2:

## Exported Interfaces
interface | com::sun::star::bridge::XBridgeFactory
| The main interface of the service. More...
interface | com::sun::star::lang::XComponent
| This interface allows to break possible cyclic references. More...

## Additional Inherited Members
Public Member Functions inherited from XBridgeFactory
XBridge | createBridge ([in] string sName, [in] string sProtocol, [in] com::sun::star::connection::XConnection aConnection, [in] XInstanceProvider anInstanceProvider) raises ( BridgeExistsException , com::sun::star::lang::IllegalArgumentException )
| tries to create a UNO interprocess bridge. More...
XBridge | getBridge ([in] string sName)
| tries to get a bridge by this name. More...
sequence< XBridge > | getExistingBridges ()
| returns the sequence of all named and unnamed UNO interprocess bridges that are instantiated at the time the call is made. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...

## Detailed Description

Provides a unified interface for the BridgeFactory service to implement.

Since
  LibreOffice 4.0

## Exported Interfaces

## ◆ com::sun::star::bridge::XBridgeFactory

interface com::sun::star::bridge::XBridgeFactory

The main interface of the service.

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

This interface allows to break possible cyclic references.

The documentation for this interface was generated from the following file:

- com/sun/star/bridge/XBridgeFactory2.idl